Get whether Ankra is paused for an application (browser session)
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/autonomy-pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/autonomy-pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/autonomy-pause \
--header 'Authorization: Bearer <token>'{
"application_id": "<string>",
"paused": true,
"paused_at": "2023-11-07T05:31:56Z",
"paused_by": "<string>",
"reason": "<string>"
}{
"detail": "<string>"
}Applications
Get whether Ankra is paused for an application (browser session)
Whether a person paused Ankra’s autonomous actions for this application. While it is paused, auto-remediation does not act on the application’s namespaces (or on alerts about a whole cluster it runs on) and Cost Autopilot does not file or run changes on its clusters. Chat and read-only investigation keep working. A failed read is an error, never paused: false.
GET
/
org
/
applications
/
{application_id}
/
autonomy-pause
Get whether Ankra is paused for an application (browser session)
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/autonomy-pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/autonomy-pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/autonomy-pause \
--header 'Authorization: Bearer <token>'{
"application_id": "<string>",
"paused": true,
"paused_at": "2023-11-07T05:31:56Z",
"paused_by": "<string>",
"reason": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response